Bug 79289 - FILEOPEN: DOCX - Transparent fill background not retained
Summary: FILEOPEN: DOCX - Transparent fill background not retained
Status: RESOLVED DUPLICATE of bug 70942
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard:
Keywords: bibisected
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2014-05-27 04:06 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-05-15 09:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
4 callout shapes over text with different outline and fill colors (20.01 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-27 04:06 UTC, Yousuf Philips (jay) (retired)
Details
how it looks in libO 4.3b vs word 2010 (100.27 KB, image/png)
2014-05-27 04:10 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-27 04:06:21 UTC
Created attachment 99911 [details]
4 callout shapes over text with different outline and fill colors

Created this example document to demonstrate two things when importing shapes from DOCX files

1) when the shape has an area within it to enter text into, LibO turns these into frames with a frame content inner elements, resulting in the shape not being drawn and not being editable. This is the same as my other bug, bug 78484.

2) if the shape had a background fill color set to 'no fill', which is basically transparent, LibO decides to fill it with white.

Tested in Linux Mint in the latest releases of 3.6, 4.2 and 4.3 beta 1.
Comment 1 Yousuf Philips (jay) (retired) 2014-05-27 04:10:01 UTC
Created attachment 99912 [details]
how it looks in libO 4.3b vs word 2010
Comment 2 Kevin Suo 2014-05-27 06:11:55 UTC
Reproduced in Windows XP SP3, libreoffice 4.2.4.2 and 4.3.0 beta 1.

Marking as NEW.

When Unzip the docx file, I found the following in /word/document.xml:
<mc:Fallback>
 <w:pict>
  <v:shape id="Rectangular Callout 2" o:spid="_x0000_s1028" type="#_x0000_t61" ... adj="6300,24300" filled="f" strokecolor="black [3213]" strokeweight="2pt">
...

Those are "shapes", not "text frames". LibreOffice is drawing them as text frames.

See here: The difference between a text box and a frame
http://office.microsoft.com/en-us/word-help/the-difference-between-a-text-box-and-a-frame-HP005189333.aspx
Comment 3 Buovjaga 2014-09-25 11:54:36 UTC
Works for me. Looks exactly like [word 2007].pdf diff side.

Version: 4.4.0.0.alpha0+
Build ID: 0a32edcdc2bda75a7536ce7f88c91cbc56e7afb1
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-24_00:45:04
Comment 4 Yousuf Philips (jay) (retired) 2014-09-25 13:38:23 UTC
Its fixed in master bug broken in 4.3.

Version: 4.3.3.0.0+
Build ID: 5454eb2c9acc5404333ede541f9c431e1a99694e
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-09-22_08:42:57

Version: 4.4.0.0.alpha0+
Build ID: f6001fb30c516ec6da39b0ca4058f8b28058df1f
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-09-25_02:12:46
Comment 5 Matthew Francis 2014-09-25 15:36:46 UTC
4.4 bibisect (in reverse - "bad" == fixed) gives the following:

git bisect start
# bad: [43872fb10d2b129017dcddb83a7e0b14a0790e61] 2014-09-20
git bisect bad 43872fb10d2b129017dcddb83a7e0b14a0790e61
# good: [b3130c846de5cf1b4be48b48dfc780bb369549fa] 2014-05-21
git bisect good b3130c846de5cf1b4be48b48dfc780bb369549fa
# bad: [2b0304ea2fa4675aecc3d9c617dc1daa774cdff8] 2014-07-20
git bisect bad 2b0304ea2fa4675aecc3d9c617dc1daa774cdff8
# bad: [3940c8876107f8bd07b8938a3a114d0e056af5b6] 2014-06-20
git bisect bad 3940c8876107f8bd07b8938a3a114d0e056af5b6
# good: [e74e336625e95d417f37ef4b2d6d20c2e166673b] 2014-06-05
git bisect good e74e336625e95d417f37ef4b2d6d20c2e166673b
# good: [10b4496584ecc392a40239e3f3c7ee455d83bfb4] 2014-06-12
git bisect good 10b4496584ecc392a40239e3f3c7ee455d83bfb4
# good: [fa158998e0a0c735a13384def1ba902f904fab22] 2014-06-16
git bisect good fa158998e0a0c735a13384def1ba902f904fab22
# good: [2d5ec4b381617f69c8daf3f149f71425af0ce9e9] 2014-06-18
git bisect good 2d5ec4b381617f69c8daf3f149f71425af0ce9e9
# bad: [49ffb467231cc09d9e351aa2d37f2c0d99c3eb3d] 2014-06-19
git bisect bad 49ffb467231cc09d9e351aa2d37f2c0d99c3eb3d
# first bad commit: [49ffb467231cc09d9e351aa2d37f2c0d99c3eb3d] 2014-06-19
Comment 6 Matthew Francis 2014-09-26 02:06:09 UTC
Looks like this is the commit which fixed it - although it's pretty short so there may be others that laid the groundwork

commit d379d18666aa42031359ca8eb34b0021960347ae
Author: Miklos Vajna <vmiklos@collabora.co.uk>
Date:   Wed Jun 18 11:57:31 2014 +0200

    oox: import WPS shape with text as shape with textbox
Comment 7 Miklos Vajna 2014-09-30 19:07:45 UTC
That's the end of a feature I hacked on for more than a month, no plan to backport it to 4-3, sorry. :-)

*** This bug has been marked as a duplicate of bug 70942 ***
Comment 8 Robinson Tryon (qubit) 2014-12-29 21:48:56 UTC
Replacing fixedInMaster with backportRequest.
4.2 is EOL, and this is fixed in 4.4 and 4.5 (master), so backportRequest:4.3

BUT:

(In reply to Miklos Vajna from comment #7)
> That's the end of a feature I hacked on for more than a month, no plan to
> backport it to 4-3, sorry. :-)

So:
Whiteboard -> backportDenied:4.3
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:17:15 UTC Comment hidden (obsolete)